### Hierarchy

- TextArea

## Index

### Inputs

- invalid
- skeleton
- theme

### Properties

- baseClass
- invalid
- skeleton
- theme

### Accessors

- isLightTheme

## Properties

### baseClass

@HostBinding({"hostPropertyName":"class.bx--text-area"})
baseClass: boolean = true

- Defined in src/input/text-area.directive.ts:23

### invalid

@HostBinding({"hostPropertyName":"class.bx--text-area--invalid"})
@Input()
invalid: boolean = false

- Defined in src/input/text-area.directive.ts:24

### skeleton

@HostBinding({"hostPropertyName":"class.bx--skeleton"})
@Input()
skeleton: boolean = false

- Defined in src/input/text-area.directive.ts:25

### theme

@Input()
theme: "light" | "dark" = "dark"

- Defined in src/input/text-area.directive.ts:21

## Accessors

### isLightTheme

@HostBinding({"hostPropertyName":"class.bx--text-area--light"})
isLightTheme:

- Defined in src/input/text-area.directive.ts:26

Generated using TypeDoc